summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2015-09-20 12:13:04 +0200
committerBent Bisballe Nyeng <deva@aasimon.org>2015-09-20 12:13:04 +0200
commitde89d242ec644f3be92875b1db7439da3d7dc8c4 (patch)
treef42f5fa49c900c4f171c28e64294cb290a7dba9a /autogen.sh
parentfc88c687cdb0687240364df09b8248f3a6f91bc7 (diff)
Reinstate hugin.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index a108775..c0b9008 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,16 @@
#!/bin/sh -e
+# Check if hugin has been obtained:
+if [ ! -f hugin/hugin.c ]
+then
+ echo "You are missing the hugin submodule."
+ echo "Run"
+ echo " git submodule init"
+ echo " git submodule update"
+ echo "to obtain it."
+ exit 1
+fi
+
# Check for the existence of cppunit.m4. If missing emulate it.
mkdir -p actest
cat << EOF > actest/configure.ac